Bug 809976 - Forgotten debug print in samba-winbind code?
Forgotten debug print in samba-winbind code?
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: samba (Show other bugs)
16
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Guenther Deschner
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-04 15:03 EDT by Milan Crha
Modified: 2012-10-26 12:13 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-10-26 12:13:15 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Milan Crha 2012-04-04 15:03:29 EDT
Whenever I use evolution-ews I see on the console this string (only hightlighted as quoted text):
> could not obtain winbind domain name!

It seems to me as a forgotten debug print and it's kinda annoying, when I see about twenty on the terminal, indicating how many times the binary was called.

halfline pointed me to this grep command:
   $ grep "obtain winbind" /usr/*bin*/* 2> /dev/null
   Binary file /usr/bin/ntlm_auth matches
   Binary file /usr/bin/wbinfo matches

Could it be possible to get rid of the debug string, please?
Comment 1 Guenther Deschner 2012-05-09 04:34:53 EDT
Do you want to use winbind for evolution ntlm authentication and don't have it running by any chance ?
Comment 2 Milan Crha 2012-05-09 05:42:54 EDT
I do not want to use it :) I mean, it is not used directly by evolution. The debug print shows up when I have enabled evolution-ews account, which is using libsoup, which is using ntlm_auth. Thus the chain is pretty long, and the worse is that this is called from a "low-level" library, shared among many projects.

The message seems to me as a debug print, thus I thought to point it out, thus it could be removed, or conditioned as expected (to be printed only with debugging enabled), otherwise console of evolution is full of these messages after some time of usage of evolution-ews.
Comment 3 Andreas Schneider 2012-10-26 12:13:15 EDT
I've proposed a patch upstream to silence it in future.

Note You need to log in before you can comment on or make changes to this bug.